Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| ExceptionConversion constructor. More...
| updateUrl (URL $url)
| Update the URL. More...
| find (Criterion $criterion, $offset, $limit, array $sortClauses=[], $doCount=true)
| Selects URLs matching specified criteria. More...
| findUsages ($id)
| Returns IDs of Content Objects using URL identified by $id. More...
| loadUrlData ($id)
| Loads URL with url id. More...
| loadUrlDataByUrl ($url)
| Loads URL with url address. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Definition at line 16 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

ExceptionConversion constructor.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\URL\Gateway | $innerGateway |

Definition at line 30 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ find()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::find | ( | Criterion | $criterion,
|  |  | $offset,
|  |  | $limit,
|  | array | $sortClauses = `[]`,
|  |  | $doCount = `true`
| ) |  |

Selects URLs matching specified criteria.

Parameters

  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |
  int | $offset |
  int | $limit |
  SortClause[] | $sortClauses |
  bool | $doCount |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 44 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

## ◆ findUsages()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::findUsages | ( |  | $id | ) |

Returns IDs of Content Objects using URL identified by $id.

Parameters

  int | $id |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 53 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

## ◆ loadUrlData()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::loadUrlData | ( |  | $id | ) |

Loads URL with url id.

Parameters

  int | $id |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 62 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

## ◆ loadUrlDataByUrl()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::loadUrlDataByUrl | ( |  | $url | ) |

Loads URL with url address.

Parameters

  int | $url |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 71 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

## ◆ updateUrl()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::updateUrl | ( | URL | $url | ) |

Update the URL.

Parameters

  \eZ\Publish\SPI\Persistence\URL\URL | $url |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 35 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 23 of file Persistence/Legacy/URL/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/URL/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.